Bug 100657 - Random Freezes and Crashes in Linux Game (Thimbleweed Park)
Summary: Random Freezes and Crashes in Linux Game (Thimbleweed Park)
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-11 21:30 UTC by freedriv3r
Modified: 2019-09-25 19:01 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
GPU crash dump (318.97 KB, application/gzip)
2017-04-11 21:37 UTC, freedriv3r
Details
API trace file (7.44 MB, application/x-xz)
2017-04-11 21:40 UTC, freedriv3r
Details

Note You need to log in before you can comment on or make changes to this bug.
Description freedriv3r 2017-04-11 21:30:48 UTC
Hello,

I experience random freezes and crashes in the linux game "Thimbleweed Park". Sometimes the game freezes for a few seconds and then recovers, but ultimately always crashes; operating system (ubuntu 16.04 with kernel ) remains stable though.

Here is some more information:

uname: 
4.4.0-72-generic #93-Ubuntu SMP Fri Mar 31 14:07:41 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

dmesg | grep i9
[    1.210450] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[    1.211732] [drm] Initialized i915 1.6.0 20151010 for 0000:00:02.0 on minor 0

There error I get from the game when it crashes is: 
"intel_do_flush_locked failed: Input/output error"

In the kernel log I can see the following:
[  561.854459] [drm] stuck on render ring
[  561.855002] [drm] GPU HANG: ecode 6:0:0x85eeffb8, in ThimbleweedPark [2813], reason: Ring hung, action: reset
[  561.855004] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[  561.855005] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[  561.855006] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[  561.855007] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[  561.855008] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[  561.856202] drm/i915: Resetting chip after gpu hang

I was told to also mention "SNB" in this context.

Attached is a API trace which (on my system) reproduces the problem (randomly, might need to be run a few times before crashing/freezing). I checked with the developers of the game, they said some other people would also have this problem, and they'd also love to see this fixed.

Thanks for further analysis and fixing this problem! Let me know if I can do anything to assist.
Comment 1 freedriv3r 2017-04-11 21:37:51 UTC
Created attachment 130806 [details]
GPU crash dump
Comment 2 freedriv3r 2017-04-11 21:40:41 UTC
Created attachment 130807 [details]
API trace file
Comment 3 Denis 2018-06-01 10:22:06 UTC
Hello!
I tried your apitrace on 2 different CPU's (SNB and KBL)

didn't reproduce the issue 10.6.8 and 18.1.0 mesa versions.
Also checked 17.2.6 x32 mesa.

Could you please re-check on latest stable mesa versions? Also, would be nice to see the version of mesa, you had that time.
Comment 4 GitLab Migration User 2019-09-25 19:01:32 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1588.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.